<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Sat Jul 31 15:01:23 EDT 2021 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-07-31">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="serialized-form-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<ul class="block-list">
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;controleurs</h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="controleurs.InterpreteurAction">
<h3>Class <a href="controleurs/InterpreteurAction.html" title="class in controleurs">controleurs.InterpreteurAction</a> extends java.util.ArrayList&lt;<a href="commandes/Commande.html" title="class in commandes">Commande</a>&gt; implements Serializable</h3>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;modeles</h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="modeles.ImageModifiable">
<h3>Class <a href="modeles/ImageModifiable.html" title="class in modeles">modeles.ImageModifiable</a> extends java.lang.Object implements Serializable</h3>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialization Methods</h4>
<ul class="block-list">
<li class="block-list">
<h5>readObject</h5>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">readObject</span>&#8203;(<span class="parameters">java.io.ObjectInputStream&nbsp;ois)</span></div>
<div class="block">deserialise l'objet, recomposant notamment l'image source depuis le flux
 d'octets</div>
</li>
<li class="block-list">
<h5>writeObject</h5>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">writeObject</span>&#8203;(<span class="parameters">java.io.ObjectOutputStream&nbsp;oos)</span></div>
<div class="block">serialise l'objet, transformant notamment l'image source en un objet
 serialisable</div>
</li>
</ul>
</section>
</li>
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>echelle</h5>
<pre>double echelle</pre>
</li>
<li class="block-list">
<h5>imgSource</h5>
<pre><a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a> imgSource</pre>
</li>
<li class="block-list">
<h5>observateurs</h5>
<pre>java.util.HashSet&lt;<a href="communs/Observateur.html" title="interface in communs">Observateur</a>&gt; observateurs</pre>
</li>
<li class="block-list">
<h5>position</h5>
<pre>java.awt.Point position</pre>
</li>
<li class="block-list">
<h5>transformation</h5>
<pre>java.awt.geom.AffineTransform transformation</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="modeles.SuperviseurImages">
<h3>Class <a href="modeles/SuperviseurImages.html" title="class in modeles">modeles.SuperviseurImages</a> extends java.util.ArrayList&lt;<a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a>&gt; implements Serializable</h3>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;vues</h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="vues.FenetrePrincipale">
<h3>Class <a href="vues/FenetrePrincipale.html" title="class in vues">vues.FenetrePrincipale</a> extends javax.swing.JFrame implements Serializable</h3>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>panneauPrincipal</h5>
<pre>javax.swing.JPanel panneauPrincipal</pre>
</li>
<li class="block-list">
<h5>superviseur</h5>
<pre><a href="modeles/SuperviseurImages.html" title="class in modeles">SuperviseurImages</a> superviseur</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="vues.MenuFenetre">
<h3>Class <a href="vues/MenuFenetre.html" title="class in vues">vues.MenuFenetre</a> extends javax.swing.JMenuBar implements Serializable</h3>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>superviseur</h5>
<pre><a href="modeles/SuperviseurImages.html" title="class in modeles">SuperviseurImages</a> superviseur</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="vues.PanneauPrincipal">
<h3>Class <a href="vues/PanneauPrincipal.html" title="class in vues">vues.PanneauPrincipal</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>p1</h5>
<pre>javax.swing.JPanel p1</pre>
</li>
<li class="block-list">
<h5>p2</h5>
<pre>javax.swing.JPanel p2</pre>
</li>
<li class="block-list">
<h5>p21</h5>
<pre>javax.swing.JPanel p21</pre>
</li>
<li class="block-list">
<h5>p23</h5>
<pre>javax.swing.JPanel p23</pre>
</li>
<li class="block-list">
<h5>p25</h5>
<pre>javax.swing.JPanel p25</pre>
</li>
<li class="block-list">
<h5>p3</h5>
<pre>javax.swing.JPanel p3</pre>
</li>
<li class="block-list">
<h5>p4</h5>
<pre>javax.swing.JPanel p4</pre>
</li>
<li class="block-list">
<h5>p41</h5>
<pre>javax.swing.JPanel p41</pre>
</li>
<li class="block-list">
<h5>p42</h5>
<pre>javax.swing.JPanel p42</pre>
</li>
<li class="block-list">
<h5>p44</h5>
<pre>javax.swing.JPanel p44</pre>
</li>
<li class="block-list">
<h5>p45</h5>
<pre>javax.swing.JPanel p45</pre>
</li>
<li class="block-list">
<h5>p5</h5>
<pre>javax.swing.JPanel p5</pre>
</li>
<li class="block-list">
<h5>perspective1</h5>
<pre><a href="vues/VueImage.html" title="class in vues">VueImage</a> perspective1</pre>
</li>
<li class="block-list">
<h5>perspective2</h5>
<pre><a href="vues/VueImage.html" title="class in vues">VueImage</a> perspective2</pre>
</li>
<li class="block-list">
<h5>vignette</h5>
<pre><a href="vues/VueImage.html" title="class in vues">VueImage</a> vignette</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="vues.VueImage">
<h3>Class <a href="vues/VueImage.html" title="class in vues">vues.VueImage</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>modele</h5>
<pre><a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a> modele</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
